#!/usr/bin/python
"""
Run all PyCoCuMa Unit Tests
"""
#  Copyright (C) 2004  Henning Jacobs <henning@srcco.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  $Id: testall.py 82 2004-07-11 13:01:44Z henning $

import unittest
import testvcard
import testvcalendar
import testCoCuMa_Server
import testMainController

if __name__ == "__main__":
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(testvcard.vCardTestCase))
    suite.addTest(unittest.makeSuite(testvcalendar.vCalendarTestCase))
    suite.addTest(unittest.makeSuite(testCoCuMa_Server.CoCuMa_ServerTestCase))
    suite.addTest(unittest.makeSuite(testMainController.MainControllerTestCase))
    unittest.TextTestRunner(verbosity=2).run(suite)

